@import "~sass/media";
@import "~sass/variables";
.form-full-width {
  width: 100%;
}
table {
  width: 100%;
}

.image-zoom-container {
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  margin: auto;
  max-width: 100%;
  max-height: 100%;
  padding: 2.5vh;
}
.product-title {
  display: flex;
  align-items: baseline;
  width: 90%;
  padding-right: 20px;
  h4 {
    font-size: 40px;
    color: #000 !important;
    font-weight: 600;
  }
  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    align-items: inherit !important;
  } 
}
.rating-icon{
  cursor: pointer;
}
.share-btns{
    position: absolute;
    // top: 92px;
    // left: 220px;
    top: 165px;
    left: calc(100% - 62px);
    right: 0;
    height: auto;
    background-color: #f1f3f6;
    padding: 3px;
    z-index: 0;
    border: 2px solid #d2d8e2;
    line-height: 0;  
}
.share-btn-rating{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    //line-height: 75px;
}
.price-view {
  color: rgb(165, 163, 163);
  font-size: 28px;
  text-decoration: line-through;
}
// .mobile-view {
//   display: none;
// }
.size-product {
  border: #cecaca solid 1px !important;
  padding: 5px 10px 5px 10px !important;
  // min-width: 5vh;
  text-align: center;
  float: left;
  margin: 0 1vh 0 0;
  cursor: pointer;

  &:hover,
  &.active-size {
    border: $primary-color solid 1px !important;
    transform: scale(1);
  }
}

// .product-color-list {
//   ul {
//     display: flex;
//   }
// }

.product-color {
  height: 34px;
  width: 34px;
  border-radius: 50%;
  cursor: pointer;
  margin: 0px 10px 0 0;
  position: relative;
  text-align: center;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  border: 2px solid #e0dcdc;
  &.active-color {
    &:before {
      content: "";
      display: inline-block;
      border: 2px solid #e0dcdc;
      width: 25px;
      height: 25px;
      border-radius: 50%;
    }
  }
}

// .product-clr-option {
//   padding-left: 16px;
//   display: flex;
// }

.product-color:hover {
  transform: scale(1.1);
}

.nodata-found-wrap {
  text-align: center;
}

// .product-details {
//   background-color: #fff;
// }

// .product-content {
//   margin-bottom: 2vh;
// }

.description {
  position: relative;
}

.prod-fav-icon {
  background-color: #f1f3f6;
  padding: 15px;
  border: 2px solid #d2d8e2;
  display: flex;
  cursor: pointer;
  position: absolute;
  right: 0;
  i {
    font-size: 28px;
    &:hover {
      color: $secondary-color;
    }
  }
}
.prod-fav-icon-active {
    font-size: 28px;
    color: $primary-color !important;
}
.prod-share-icon {
  background-color: #f1f3f6;
  padding: 15px;
  border: 2px solid #d2d8e2;
  display: flex;
  cursor: pointer;
  position: absolute;
  // right: 65px;
  right: 0;
  top: 95px;
  i {
    font-size: 28px;
    &:hover {
      color: $primary-color;
    }
  }
}
.product-details .description {
  margin-top: 1.8vh;
  @include for-size(l1280-1365) {
    margin-left: 15px;
  }
}

.rating {
  padding-top: 1vh;
  padding-bottom: 1vh;
  // cursor: pointer;
  color: #969696;
}
.rating-icon{
  cursor: pointer;
}
.fa {
  font-size: 15px;
  color: #dcdbdb;
}

.checked {
  color: #ffb508;
}

// .product-details ::ng-deep.mat-tab-label {
//   color: #484646;
//   font-weight: 550;
//   opacity: 1 !important;
// }

// .product-item-review {
//   color: rgb(16, 15, 15);
//   font-size: 0.9rem;
//   line-height: 1.5px;
//   text-align: justify;
//   font-weight: 500;
//   overflow: hidden;
// }

.description .price-mrp {
  color: #b5b5b5;
  font-size: 21px;
}

.price-view {
  color: rgb(165, 163, 163);
  font-size: 20px;
  text-decoration: line-through;
  padding-top: 1vh;
  padding-bottom: 1vh;
}

// .description ul {
//     padding-left: 0;
//     margin-left: -17px;
//     margin-top: 2vh;
// }

.prt-description {
  padding-top: 1vh;
  padding-bottom: 1vh;
  text-align: justify;
  word-break: break-all;
  color: $font-silver;
  width: 88%;
  @media (min-width: 300px) and (max-width: 1024px) {
    width: 100%;
  }
  pre {
    color: $font-silver !important;
    font-family: $font-stack !important;
    white-space: pre-wrap;
    word-break: break-word;
  }
}

.price {
  font-size: 35px;
  font-weight: 600;
  display: flex;
  align-items: center;
  color: $font-silver;
  .price-off {
    font-size: 15px;
    border: 1px solid #d4d4d4;
    padding: 4px 10px 4px 10px;
    border-radius: 5px;
    color: #17c971;
    margin-left: 20px;
  }
}
.reply-msg{
  float: right;
  position: relative;
  color: #bfbfbf;
  font-size: 12px;
  cursor: pointer;
}

// .productdetail-tab {
//   margin-bottom: 5vh;
//   margin-top: 20px;
// }

// .product-details ::ng-deep .mat-tab-list .mat-tab-labels {
//   /* padding-right: 10vw; */
//   font-size: 0.95rem;
//   color: #484646;
//   font-weight: 550;
// }

// .product-details ::ng-deep .mat-tab-list .mat-tab-labels .mat-tab-label-active {
//   color: #57a6fb;
//   font-size: 14px;
//   font-weight: 500;
//   background-color: white !important;
// }

// .product-details ::ng-deep .mat-tab-label {
//   font-size: 14px;
//   color: #484646;
//   font-weight: 400;
// }
// .product-details ::ng-deep .mat-ink-bar {
//   background-color: var(--primary-color, #57a6fb) !important;
// }
// .prod-desc {
//   border: 1px solid #dadada;
//   margin-top: 10px;
// }
// .productdetail-wrap {
//   margin-top: 2vh;
//   padding: 0;
// }

// .productdetail-image .col-md-2 {
//     max-width: 9.666667% !important;
// }

.product-thum-image {
  padding: 0.25rem;
  background-color: $teritary;
  border: 1px solid $quaternary;
  height: auto;
  margin-bottom: 0.5vh;
  width: 60px;
}

.productflow-image {
  z-index: 1;
  text-align: center;
  cursor: pointer;
  height: 512px;
  overflow: auto;
  display: flex;
  flex-direction: column;
}

// .product-main-image {
//   border: 1px solid #d0d0d0;
//   height: 540px;
// }

// .producttab-title {
//   font-size: 14px;
//   font-weight: 500;
//   color: gray;
// }

// .producttab-title h5 {
//   padding-left: 1vw;
// }
.reviewDes {
  margin-top: 25px;
}
.product-review .mat-error{
  font-size: 11px;
}
// .producttap-list {
//   font-size: 0.9rem;
//   font-weight: 500;
//   color: gray;
//   padding-left: 0;
// }

// .producttap-list li {
//   padding: 5px;
// }

// .features-list {
//   line-height: 3;
//   list-style-type: disc;
//   text-align: justify;
// }

.description .add-to-cart {
  background-color: $font-black;
  margin-bottom: 3vh;
  color: $font-white;
  margin-right: 2vh;
  text-transform: uppercase;
  height: 50px;
  border-radius: 0 !important;
  font-weight: 500;
  box-shadow: none !important;
}
.description .go-to-cart {
  background-color: $font-black;
  margin-bottom: 3vh;
  color: $font-white;
  margin-right: 2vh;
  text-transform: uppercase;
  height: 50px;
  border-radius: 0 !important;
  font-weight: 500;
  box-shadow: none !important;
}

.description .add-to-fav {
  background-color: $primary-color;
  margin-bottom: 3vh;
  color: #000;
  margin-right: 2vh;
  text-transform: uppercase;
  height: 50px;
  border-radius: 0 !important;
  font-weight: 500;
  box-shadow: none !important;
  color: $font-white;
}
// .buybtn {
//   .mat-raised-button {
//     max-width: 285px;
//     width: 100%;
//     background-color: #298c08;
//     text-transform: uppercase;
//     line-height: 3;
//   }
// }

.product-cus-review {
  border-top: solid 1px #dcdcdc;
  border-bottom: none;
  font-size: 14px;
  border-radius: 2px;
  margin: 0px;
}

.prt-customer-review {
  border-bottom: 1px solid #eee;
}
.prod-review a {
  color: #03a9f4;
}

// .prt-review-head {
//   font-size: 1rem;
//   font-weight: 800;
//   line-height: 1.14;
//   color: #585858;
//   position: relative;
//   overflow: hidden;
//   width: 91%;
// }

.review-head h6 {
  font-size: 16px;
  font-weight: 600;
  color: $font-silver;
  position: relative;
  overflow: hidden;
}

.reviews {
  font-size: 0.9rem;
  font-weight: 500;
  color: $font-silver;
  text-align: justify;
  word-break: break-word;
}

.review-user-name {
  font-size: 0.8rem;
  font-weight: 500;
  color: #b7b7b7;
}

.view-more {
  font-size: 0.9rem;
  font-weight: 500;
}
// .similar-prod h5 {
//   font-size: 16px;
//   color: #717171;
//   font-weight: 400;
// }

.review-customer {
  width: 100%;
  border: 1px solid #c6c6c6;
  margin-top: 1vh;
  // padding-bottom: 2vh;
  border-radius: 5px;
}

.review-customer .mat-form-field {
  display: block;
  font-size: 1rem;
  line-height: 1.5;
}

// .review-customer ::ng-deep button.mat-primary {
//   background-color: $primary-color;
//   margin-top: 10px;
// }

// .ratingbg {
//   line-height: normal;
//   display: inline-block;
//   color: #fff;
//   padding: 4px 4px 4px 4px;
//   border-radius: 3px;
//   font-weight: 500;
//   font-size: 0.8rem;
//   vertical-align: middle;
//   background-color: green;
//   width: 2.1vw;
// }
// .customer-rate {
//   left: 40%;
//   bottom: 0;
//   right: 0;
//   top: 0;
//   object-fit: contain;
//   margin: auto;
//   vertical-align: center;
//   position: absolute;
//   vertical-align: middle;
//   display: inline-table;
//   @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
//     top: 30%;
//   }
//   @include for-size(mobile-lanscape) {
//     position: initial;
//   }
// }
.min-max-qty {
  // font-size: 14px;
  // display: inline-flex;
  // color: #555555;
  // padding-top: 10px;
  // padding-bottom: 10px;
  // .min-qty {
  //   padding-right: 10px;
  // }
  font-size: 14px;
  display: inline-flex;
  margin-top: 20px;
  margin-bottom: 20px;
  color: $font-silver;
  @include for-size(phone-only) {
    display: flex;
    flex-direction: column;
  }
  .min-qty {
    padding-right: 10px;
  }
}

// .imageZoom {
//   width: 100%;
//   height: auto;
//   position: absolute;
//   z-index: 1;
//   border: 2px solid #dee2e6;
// }

::ng-deep .img-zoom-container {
  position: relative !important;
}
.similar-product {
  display: inline-block;
  left: 0;
  margin: 10px 0;
  // max-width: 35%;
  @include for-size(phone-only) {
    max-width: 100%;
  }
}
similar-drag-scroll {
  position: relative;
  display: inline-block;
  width: 80%;
}
.drag-btn {
  position: absolute;
  width: 100%;
  height: auto;
  top: 40%;
  left: 0;
  bottom: 0;
  right: 0;
  margin: auto;
}
.btn-left {
  float: left;
  bottom: 230px;
  z-index: 1;
  position: relative;
  background-color: #fff;
  border: 1px solid #dee2e6;
  padding: 12px;
  -webkit-box-shadow: 0px 1px 5px 3px #a9a9a9;
  box-shadow: 0px 0px 3px 0px #d6d5d5;
  cursor: pointer;
  @include for-size(phone-only) {
    bottom: 190px;
  }
}

.btn-left .fa {
  color: #333232;
}

.btn-right {
  float: right;
  bottom: 230px;
  z-index: 1;
  position: relative;
  background-color: #fff;
  border: 1px solid #dee2e6;
  padding: 12px;
  -webkit-box-shadow: 0px 1px 5px 3px #a9a9a9;
  box-shadow: 0px 0px 3px 0px #d6d5d5;
  cursor: pointer;
   cursor: pointer;
   @include for-size(phone-only) {
    bottom: 190px;
  }
}

.btn-right .fa {
  color: #333232;
}

.prd-pic-zoom {
  width: 100%;
  height: 100%;
}
.productdetail-description {
  margin-top: 1%;
  font-size: 14px;
}

.padr2vh {
  padding-right: 2vh;
  &:last-child{
    padding-right: 0;
  }
}
.view-more {
  color: #0d9bf1;
  cursor: pointer;
}
.view-more:hover {
  color: #737373;
  cursor: pointer;
}
.product-outOfStock {
  font-size: 20px;
  color: #ff5353;
}

.product-lowstock {
  font-size: 15px;
  color: #03a9f4;
}
.without-zoom {
  border: 1px solid lightgrey;
  @include for-size(phone-only) {
    display: none;
  }
  @include for-size(mobile-lanscape) {
    display: none;
  }
  @include for-size(tablet-portrait-up) {
    display: none;
  }
  @include for-size(tablet-landscape-up) {
    display: none;
  }
  @include for-size(l1025-1279) {
    display: none;
  }
}
.without-zoom img {
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  object-fit: contain;
  width: 100%;
  height: auto;
}
.pc-btn-wrap {
  display: flex;
  flex-direction: column;
  width: fit-content;
}
.prod-det-but {
  display: flex;
}

.prod-det-but .mat-raised-button {
  font-size: 14px;
  width: 200px;
  min-width: 50px;
  max-width: 300px; 

}

.drag-scroll {
  overflow: hidden !important;
  width: 100%;
}
.mobile-drag {
  width: 100%;
}
// .tablet-view {
//   display: none;
// }
@include for-size(tablet-portrait-up) {
  // .non-lpamob {
  //   display: none;
  // }
  // .tablet-view {
  //   display: flex;
  //   flex: 1;
  //   justify-content: space-between;
  //   margin-top: 100px;
  //   z-index: 2;
  // }
}
@include for-size(phone-only) {
  // .non-lpamob {
  //   display: none;
  // }
  // .tablet-view {
  //   display: none;
  // }
  .mobile-view {
    // display: flex;
    // flex: 1;
    // justify-content: space-between;
    // margin-top: 100px;
    // z-index: 2;
    display: flex;   
    justify-content: space-between;
    top: 75px;
    z-index: 0;   
    position: relative;
  }
  // .mobile-drag{
  // display: contents;
  // }

  .customer-rate {
    // margin: 0;
    // display: contents;
    position: relative;
    left: 0;
  }
  .prd-pic-zoom {
    display: none;
  }
  .productflow-image {
    display: none;
  }
}

@include for-size(tablet-portrait-up) {
  ::ng-deep .slideshow-container{
        min-height: 670px !important;
  }
  .mobile-view {
    display: none;
    //display: flex;
    flex: 1;
    justify-content: space-between;
    // margin-top: 100px;
    z-index: 2;
  }
  .customer-rate {
    left: 32%;
  }
  .prd-pic-zoom {
    display: none;
  }
  .productflow-image {
    display: none;
  }
  .prd-pic-mob {
    //width: 100%;
    //height: 100%;
    border: 1px solid #cacaca;
  }
  .prd-pic-mob img {
    width: 100%;
    margin: 0 auto;
    left: 0;
    top: 0;
    right: 0;
    height: 100%;
    object-fit: contain;
  }
  .prd-pic-mob-thumb img {
    width: 60px;
    height: 60px;
    border: 1px solid rgb(202, 202, 202);
    margin-top: 1vh;
  }
  .productdetail-image .col-md-2 {
    display: none;
  }
  .productdetail-image .col-md-10 {
    max-width: 100%;
  }
}

@media (min-width: 769px) and (max-width: 1024px) {
  .mobile-view {
    display: none;
  }
  .customer-rate {
    left: 32%;
  }
  .prd-pic-zoom {
    display: none;
  }
  .productflow-image {
    display: none;
  }
  .prd-pic-mob {
    //width: 100%;
    //height: 100%;
    border: 1px solid #cacaca;
  }
  .prd-pic-mob img {
    width: 100%;
    margin: 0 auto;
    left: 0;
    top: 0;
    right: 0;
    height: 100%;
    object-fit: contain;
  }
  .prd-pic-mob-thumb img {
    width: 60px;
    height: 60px;
    border: 1px solid rgb(202, 202, 202);
    margin-top: 1vh;
  }
  .productdetail-image .col-md-2 {
    display: none;
  }
  .productdetail-image .col-md-10 {
    max-width: 100%;
  }
}
@include for-size(l1025-1279) {
}
@include for-size(l1280-1365) {
  .prd-pic-mob {
    display: none;
  }
  .prd-pic-mob img {
    display: none;
  }
  .prd-pic-mob-thumb {
    display: none;
  }
  .prd-pic-mob-thumb img {
    display: none;
  }
}
@include for-size(l1366-1439) {
  .prd-pic-mob {
    display: none;
  }
  .prd-pic-mob img {
    display: none;
  }
  .prd-pic-mob-thumb {
    display: none;
  }
  .prd-pic-mob-thumb img {
    display: none;
  }
}
@include for-size(l1440-1534) {
  .prd-pic-mob {
    display: none;
  }
  .prd-pic-mob img {
    display: none;
  }
  .prd-pic-mob-thumb {
    display: none;
  }
  .prd-pic-mob-thumb img {
    display: none;
  }
}
@include for-size(l1535-1559) {
  .prd-pic-mob {
    display: none;
  }
  .prd-pic-mob img {
    display: none;
  }
  .prd-pic-mob-thumb {
    display: none;
  }
  .prd-pic-mob-thumb img {
    display: none;
  }
}
@include for-size(d1600-1919) {
  .prd-pic-mob {
    display: none;
  }
  .prd-pic-mob img {
    display: none;
  }
  .prd-pic-mob-thumb {
    display: none;
  }
  .prd-pic-mob-thumb img {
    display: none;
  }
}
// @media (min-width:1024px) and (max-width:1279px) {
//     .mobile-view{
//         display:inline;
//     }
//     .prd-pic-mob {
//         display: none;
//     }
//     .prd-pic-mob-thumb {
//         display: none;
//     }
// }

@include for-size(desktop-up) {
  //   .mobile-view{
  //     display:inline;
  // }
  .prd-pic-mob {
    display: none;
  }
  .prd-pic-mob-thumb {
    display: none;
  }
}

@include for-size(big-desktop-up) {
  //   .mobile-view{
  //     display:inline;
  //   }
  .prd-pic-mob {
    display: none;
  }
  .prd-pic-mob-thumb {
    display: none;
  }
}
@-moz-document url-prefix() {
  .customer-rate {
    left: 0 !important;
    top: 30% !important;
  }
}
:-ms-lang(x),
:-webkit-full-screen,
.customer-rate {
  top: 30% !important;
}
@media only screen and (-webkit-min-device-pixel-ratio: 2) and (min-width: 1025px),
  only screen and (min--moz-device-pixel-ratio: 2) and (min-width: 1025px),
  only screen and (-o-min-device-pixel-ratio: 2/1) and (min-width: 1025px),
  only screen and (min-device-pixel-ratio: 2) and (min-width: 1025px),
  only screen and (min-resolution: 192dpi) and (min-width: 1025px),
  only screen and (min-resolution: 2dppx) and (min-width: 1025px) {
  // .mobile-view{
  //     display:inline;
  // }
  .prd-pic-mob {
    display: none;
  }
  .prd-pic-mob-thumb {
    display: none !important;
  }
}
@include for-size(mobile-lanscape) {
  .prd-pic-mob {
    margin-top: 10px;
  }
}
::ng-deep #myimage{
  width:515px; height:515px; bottom: 0;  left: 0;  right: 0;  top: 0;  margin:0 auto;border: 1px solid #dcdcdc; 
}
::ng-deep #myresult {
  width:670px; height:670px; background-repeat: no-repeat; z-index: 2; position:absolute; -webkit-box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24); box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24); top: 0;left: 100%; margin-left:1%; background-color: #fff;
}
::ng-deep .img-zoom-lens {
  width: 155px !important;
  height: 155px !important;
}

@include for-size(l1280-1365) {
  ::ng-deep #myresult {
    width: 715px;
    height: 430px;
  }
  ::ng-deep .img-zoom-lens {
    width: 126px !important;
    height: 66px !important;
  }
  ::ng-deep #myimage {
    width: 430px;
    height: 430px;
  }
}
@include for-size(l1366-1439) {
  ::ng-deep #myresult {
    width: 725px;
    height: 449px;
  }
  ::ng-deep .img-zoom-lens {
    width: 133px !important;
    height: 80px !important;
  }
  ::ng-deep #myimage {
    width: 450px;
    height: 450px;
  }
}
@include for-size(l1535-1559) {
  ::ng-deep .img-zoom-lens {
    width: 125px !important;
    height: 100px !important;
  }
  ::ng-deep #myimage {
    width: 505px;
    height: 505px;
    background: url('../../../assets/images/loading-spinner.gif') no-repeat;
    text-indent: -10000px
  }
  ::ng-deep #myresult {
    width: 715px !important;
    height: 503px !important;
  }
}
// @media screen and (max-width: 1280px) and (max-height: 800px) {
//   ::ng-deep #myresult {
//     width: 700px;
//     height: 430px;
//   }
//   ::ng-deep .img-zoom-lens {
//     width: 133px !important;
//     height: 53px !important;
//   }
//   ::ng-deep #myimage {
//     width: 430px;
//     height: 430px;
//   }
// }
@media screen and (max-width: 1280px) and (max-height: 800px) {
  ::ng-deep #myresult {
    width: 610px;
    height: 510px;
  }
  ::ng-deep .img-zoom-lens {
    width: 114px !important;
    height: 95px !important;
  }
}
.p-lt {
  padding-left: 20px;
}

.addtocart button.mat-raised-button.mat-primary {
  background-color: $primary-color;
  color: #000;
  border-radius: 50px !important;
  cursor: pointer;
}
.buy-now-btn button.mat-raised-button.mat-primary {
  background-color: #018132;
  color: #fff;
  border-radius: 50px !important;
  cursor: pointer;
}
.pp-wrap {
  -webkit-flex-flow: column;
  -ms-flex-flow: column;
  flex-flow: column;
}
.pd-wrap {
  -webkit-flex-flow: column;
  -ms-flex-flow: column;
  flex-flow: column;
  margin-left: 30px;
}

.prod-picture {
  // position: fixed;
  // clear: both;
  // z-index: 2;
  position: sticky;
  top: 181px;
  bottom: 0;
  z-index: 1;
  -webkit-align-self: flex-start;
  -ms-flex-item-align: start;
  align-self: flex-start;
}

.prod-decript {
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  top: 18px;
}
.pro-bg {
  background-color: $teritary;
  margin-bottom: 20px;
  -webkit-flex-flow: row;
  -ms-flex-flow: row;
  flex-flow: row;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}
.pro-bg-similar-prod {
  background-color: $teritary;
  border-top: 10px solid $quaternary;
  padding: 0 20px;
  h4 {
    font-size: 16px;
    color: $font-silver;
  }
}
.pro-title {
  font-size: 16px;
  color: #b5b5b5;
  padding-top: 10px;
  padding-bottom: 10px;
  position: relative;
}
.pro-size {
  font-size: 17px;
  color: #b5b5b5;
  padding-top: 10px;
  ul {
    display: inline-flex;
  }
  li {
    border: 1px solid #a7a7a7;
    // width: 30px;
    text-align: center;
    // margin-left: 10px;
    font-size: 15px;
    border-radius: 5px;
    // line-height: 2;
  }
}
.pro-size-active {
  border: 1px solid $primary-color !important;
  color: $primary-color !important;
  // width: 30px;
  text-align: center;
  // margin-left: 10px;
  font-size: 15px;
  border-radius: 5px;
  // line-height: 2;
}

.pro-color {
  font-size: 17px;
  color: #b5b5b5;
  padding-top: 10px;
  ul {
    display: inline-flex;
  }

  ul li {
    //border: 1px solid #a7a7a7;
    width: 30px;
    height: 30px;
    text-align: center;
    font-size: 15px;
    border-radius: 5px;
    line-height: 2;
    display: flex;
    justify-content: center;
    align-items: center;
    //opacity: .5;
  }
  ul li ul li {
    background-color: red;
    width: 22px;
    height: 22px;
    margin: 0 auto;
    border: none;
    border-radius: 3px;
  }
}
.pro-color-active {
  border: 3px solid #ffffff !important;
  color: $primary-color !important;
  /* color: red !important; */
  width: 30px;
  text-align: center;
  font-size: 15px;
  border-radius: 5px;
  line-height: 2;
  opacity: 1 !important;
  box-shadow: 0 0 1px 0 #000;
}
.pro-radio {
  padding-top: 10px;
  .mat-radio-button {
    padding-right: 20px;
  }
}

.pro-checkbox {
  padding-top: 10px;
  //display: inline-flex;
  .mat-checkbox {
    padding-right: 20px;
  }
}

.pro-ram {
  font-size: 17px;
  color: #b5b5b5;
  padding-top: 10px;
  padding-bottom: 10px;

  ul {
    display: inline-flex;
  }
  li {
    border: 1px solid #a7a7a7;
    width: 70px;
    text-align: center;
    margin-left: 10px;
    font-size: 15px;
    border-radius: 5px;
    line-height: 2;
  }
}
.pro-ram-active {
  border: 1px solid $primary-color!important;
  color: $primary-color !important;
  width: 30px;
  text-align: center;
  margin-left: 10px;
  font-size: 15px;
  border-radius: 5px;
  line-height: 2;
}

.pro-seaters-wrap {
  font-size: 17px;
  color: #b5b5b5;
  display: flex;
  align-items: center;
}

.pro-seaters {
  border: 1px solid #d6d6d6;
  // width: 120px;
  padding-top: 10px;
  border-radius: 5px;
  ::ng-deep .mat-select {
    width: 80% !important;
  }
  ::ng-deep.mat-form-field-wrapper {
    padding-bottom: 0;
  }

  ::ng-deep.mat-select-arrow {
    opacity: 0;
  }
  ::ng-deep.mat-form-field-appearance-legacy .mat-form-field-underline {
    height: 0 !important;
  }
  ::ng-deep .mat-form-field-underline {
    display: none;
  }
  ::ng-deep .mat-form-field-appearance-legacy .mat-form-field-wrapper {
    padding-bottom: 0 !important;
  }
  ::ng-deep.mat-form-field-infix {
    padding: 0 !important;
    border-top: 0 !important;
  }
  .custom-option {
    background-color: #fff;
    height: 35px;
    position: relative;
    border-radius: 5px;
  }
  .co-txt {
    display: flex;
    /* justify-content: center; */
    align-items: center;
    height: 35px;
    font-size: 13px;
    padding-left: 20px;
  }

  .co-icon::before,
  .co-icon::after {
    content: "";
    position: absolute;
    pointer-events: none;
  }

  .co-icon::after {
    content: "\25BC";
    height: 1em;
    font-size: 0.625em;
    line-height: 1;
    /* left: 1.2em; */
    top: 50%;
    margin-top: -0.5em;
    right: 1em;
  }
  .co-icon::before {
    width: 2em;
    /* left: 0; */
    top: 0;
    bottom: 0;
    background-color: #e2e1e1;
    right: 0;
    border-radius: 0 5px 5px 0px;
  }

  .co-icon::after {
    color: #696767;
  }
}

.pro-desc {
  border: 1px solid $quaternary;
  border-radius: 5px;
  margin-bottom: 10px;
  .pro-desc-title {
    background-color: $secondary-color;
    height: 45px;
    padding: 9px 0 0px 15px;
    border-radius: 5px 5px 0px 0px;
    font-weight: 600;
    color: $font-black;
  }

  .pro-desc-txts {
    margin: 15px;
    font-size: 16px;
    color: $font-silver;
    word-break: break-word;
    .dect-txt {
      margin: 15px;
    }
  }
}
.v-name {
  font-size: 14px;
  padding-bottom: 20px;
}

.prod-cust-review {
  margin-top: 20px;
  margin-bottom: 20px;
  h3 {
    font-weight: 600;
    font-size: 24px;
    padding-bottom: 10px;
  }

  .prod-cust-title {
    font-size: 16px;
    font-weight: 600;
    color: $font-black;
    background-color: $secondary-color;
    height: 50px;
    padding: 15px 13px;
    border-radius: 5px;
  }
  .b-rt {
    border-right: 1px solid $quaternary;
  }
  .prod-cust-rate {
    //display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 15%;
  }
  .prod-cust-rate-img {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
    margin-bottom: 20px;
    margin-top: 20px;
    border: 1px solid $quaternary;
    padding: 10px;
    width: 100px;
    height: 100px;
    .img-resp {
      height: 60px;
    }
  }
  .product-review {
    padding: 20px;
  }
}

.pro-bar-r{
  display: flex;
  align-items: center;
  justify-content: center;
}
.prod-form-wrap{
  padding: 20px;
}

.flex-container {
  width: 100%;
  min-height: 300px;
  margin: 0 auto;
  display: -webkit-flex; /* Safari */
  display: flex; /* Standard syntax */
  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    margin-top: 30px !important;
  }  
}
// :-ms-lang(x), :-webkit-full-screen, .flex-container  {
//   margin-top: 30px !important;
// }

.flex-container .column {
  padding: 0 15px;
  // -webkit-flex: 1; /* Safari */
  // -ms-flex: 1; /* IE 10 */
  // flex: 1; /* Standard syntax */
}

::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-background {
  background-color: $primary-color !important;
}

.breadCrumb{
  padding-right:10px !important;
  padding-left:10px !important;
  color: $font-silver;
}
.breadCrumbSection a:hover{
  color:#00AEEF !important;
}
.breadCrumbSection{
    padding: 0 10px 10px 0px;
    font-size: 12px;
    a{
      color: $font-silver;
    }    
}
@media (min-width: 300px) and (max-width: 321px) {
  ::ng-deep .slideshow-container{
        min-height: 260px !important;
  }
}
@media (min-width: 321px) and (max-width: 360px) {
  ::ng-deep .slideshow-container{
        min-height: 300px !important;
  }
}
@media (min-width: 361px) and (max-width: 375px) {
  ::ng-deep .slideshow-container{
        min-height: 315px !important;
  }
}
@media (min-width: 376px) and (max-width: 450px) {
  ::ng-deep .slideshow-container{
        min-height: 350px !important;
  }
}
@media (min-width: 451px) and (max-width: 600px) {
  ::ng-deep .slideshow-container{
        min-height: 515px !important;
  }
}
@media (min-width: 320px) and (max-width: 767px) {
  .r-main {
    display: none;
  }
  .r-mobile {
    margin-top: 10px;
  }
  .r-mobile-wrap {
    padding: 15px 0;
  }
  .pro-title-m {
    font-size: 14px;
    color: #b5b5b5;
    padding-top: 10px;
    padding-bottom: 10px;
    position: relative;
  }
  .pro-size-m {
    font-size: 9px;
    color: #b5b5b5;

    ul {
      display: inline-flex;
    }
    li {
      border: 1px solid #a7a7a7;
      text-align: center;
      font-size: 12px;
      border-radius: 5px;
    }
  }
  .min-max-qty-m {
    font-size: 14px;
    display: inline-flex;
    margin-top: 20px;
    margin-bottom: 5px;
    color: $font-silver;
    .min-qty {
      padding-right: 10px;
    }
  }
  .prd-pic-mob {
    //width: 72%;
    height: 100%;
    //border: 1px solid #cacaca;
    //margin-left: 37px;
    margin-bottom: 20px;
    width: 100%;
  }
  .prd-pic-mob img {
    width: 100%;
    margin: 0 auto;
    left: 0;
    top: 0;
    right: 0;
    height: 100%;
    min-height: 300px;
    object-fit: contain;
    animation: fadein 1s;
    -moz-animation: fadein 1s; /* Firefox */
    -webkit-animation: fadein 1s; /* Safari and Chrome */
    -o-animation: fadein 1s; /* Opera */

      @keyframes fadein {
          from {
              opacity:0;
          }
          to {
              opacity:1;
          }
      }
      @-moz-keyframes fadein { /* Firefox */
          from {
              opacity:0;
          }
          to {
              opacity:1;
          }
      }
      @-webkit-keyframes fadein { /* Safari and Chrome */
          from {
              opacity:0;
          }
          to {
              opacity:1;
          }
      }
      @-o-keyframes fadein { /* Opera */
          from {
              opacity:0;
          }
          to {
              opacity: 1;
          }
      }
  }
  .drag-scroll .prd-pic-mob-thumb {
    display: flex;
  }
  .prd-pic-mob-thumb img {
    width: 60px;
    height: 60px;
    border: 1px solid rgb(202, 202, 202);
    margin-top: 1vh;
    margin-right: 12px;
  }
  .prod-fav-icon-m {
    background-color: #ffffff;
    padding: 5px;
    //border: 1px solid #d2d8e2;
    display: flex;
    cursor: pointer;
    position: absolute;
    right: 40px;
    z-index: 2;
    top: 5px;
  }
  .prod-share-icon-m {
    background-color: #ffffff;
    padding: 5px;
    //border: 1px solid #d2d8e2;
    display: flex;
    cursor: pointer;
    position: absolute;
    right: 5px;
    z-index: 2;
    top: 5px;
  }
  .prod-compare-icon-m{
    background-color: #ffffff;
    padding: 5px;
    //border: 1px solid #d2d8e2;
    display: flex;
    cursor: pointer;
    position: absolute;
    right: 5px;
    z-index: 2;
    bottom: 5px;
  }
  .product-title-m {
    margin: 10px 0px 10px 0px;
    h4 {
      font-size: 17px;
      color: $font-silver !important;
      font-weight: 600;
    }
  }
  .price-mrp-m {
    font-size: 16px;
    color: $font-silver;
    padding-bottom: 5px;
  }

  #mybutton {
    position: fixed;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 2;
  }

  // .prod-det-but-m .mat-raised-button {
  //   font-size: 14px;
  //   width: 50% !important;
  // }

  .tile-icons-active {
      color: $primary-color;
      font-size: 14px;
      // width: 50% !important;
}

  .prod-det-but-m .add-to-cart {
    background-color: $font-black;
    color: $font-white;
    text-transform: uppercase;
    height: 60px;
    border-radius: 0 !important;
    font-weight: 500;
    box-shadow: none !important;
    font-size: 14px;
    width: 50% !important;

  }
  .prod-det-but-m  .go-to-cart {
    background-color: $font-black;
    line-height: 4;
    color: $font-white;
    text-transform: uppercase;
    height: 60px;
    border-radius: 0 !important;
    font-weight: 500;
    box-shadow: none !important;
    font-size: 14px;
    width: 100% !important;

  }
  .prod-det-but-m .add-to-fav {
    background-color: $primary-color;
    line-height: 4;
    text-transform: uppercase;
    height: 60px;
    border-radius: 0 !important;
    font-weight: 500;
    box-shadow: none !important;
    font-size: 14px;
    width: 50% !important;
    color: $font-white;
  }
  .pro-desc-m {
    // border-top: 9px solid #f1f3f6;
    .pro-desc-title {
      padding: 10px 0 0px 0px;
      font-weight: 600;
      color: $font-silver;
      font-size: 12px;
    }

    .pro-desc-txts {
      // padding: 15px;
      font-size: 12px;
      color: $font-silver;
      word-break: break-word;
    }
  }
  .prod-cust-review-m {
    margin-bottom: 20px;
    border-top: 9px solid $quaternary;
    h3 {
      font-weight: 600;
      font-size: 12px;
      padding: 10px 0px 10px 0px;
      border-bottom: 1px solid $quaternary;
    }

    .prod-cust-title {
      font-size: 16px;
      font-weight: 600;
      color: $font-black;
      background-color: $secondary-color;
      height: 50px;
      padding: 13px 10px;
    }
    .prod-cust-rate {
      display: flex;
      justify-content: center;
      align-items: center;
    }
    .prod-cust-rate-img {
      display: flex;
      align-items: center;
      justify-content: center;
      margin: 0 auto;
      margin-bottom: 20px;
      margin-top: 20px;
      border: 1px solid #c3c3c3;
      padding: 10px;
      width: 100px;
      .img-resp {
        width: 50%;
      }
    }
    ::ng-deep .mat-form-field {
      width: 100%;
    }
    // ::ng-deep .mat-form-field-appearance-outline .mat-form-field-outline {
    //   background-color: #eee;
    // }
  }
  .po-btn-m {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .review-head-m h6 {
    font-size: 12px;
    font-weight: 600;
    color: $font-silver;
    position: relative;
    overflow: hidden;
  }
  .pro-bg-similar-prod-m {
    // background-color: #fff;
    // border-top: 10px solid #f1f3f6;
    h4 {
      font-size: 16px;
      color: $font-silver;
    }
  }
  .price-m {
    font-size: 21px;
    font-weight: 600;
    display: flex;
    align-items: center;
    color: $font-silver;
    .price-off {
      font-size: 12px;
      border: 1px solid #d4d4d4;
      padding: 4px 10px 4px 10px;
      border-radius: 5px;
      color: #17c971;
      margin-left: 20px;
    }
  }
  .pro-color-m {
    font-size: 17px;
    color: #b5b5b5;

    ul {
      display: inline-flex;
    }

    ul li {
      width: 20px;
      height: 20px;
      text-align: center;
      font-size: 15px;
      border-radius: 5px;
      line-height: 2;
      display: flex;
      justify-content: center;
      align-items: center;
    }
    ul li ul li {
      background-color: red;
      width: 22px;
      height: 22px;
      margin: 0 auto;
      border: none;
      border-radius: 3px;
    }
  }
  .breadCrumbSection{
    padding: 0 10px 10px 0px;
  }
  .share-btns-mobile{
    position: absolute;
    top: 45px;
    right: 5px;
    left: calc(100% - 55px);
    height: auto;
    padding: 5px;
    z-index: 0;
    border: 2px solid #d2d8e2;
    background: transparent;
    line-height: 0;
  }
}
@media (min-width: 769px) and (max-width: 1024px) {
  ::ng-deep .slideshow-container{
        min-height: 925px !important;
  }
}
@media (min-width: 768px) and (max-width: 1024px) {
 .r-main {
    display: none;
  }
  .r-mobile {
    margin-top: 10px;
  }
  .r-mobile-wrap {
    padding: 15px;
  }
  .pro-title-m {
    font-size: 14px;
    color: #b5b5b5;
    padding-top: 10px;
    padding-bottom: 10px;
    position: relative;
  }
  .pro-size-m {
    font-size: 9px;
    color: #b5b5b5;

    ul {
      display: inline-flex;
    }
    li {
      border: 1px solid #a7a7a7;
      text-align: center;
      font-size: 12px;
      border-radius: 5px;
    }
  }
  .min-max-qty-m {
    font-size: 14px;
    display: inline-flex;
    margin-top: 20px;
    margin-bottom: 5px;

    .min-qty {
      padding-right: 10px;
    }
  }
  .prd-pic-mob {
    //width: 88%;
    //height: 100%;
    border: 1px solid #cacaca;
    //margin-left: 37px;
    margin-bottom: 20px;
  }
  .prd-pic-mob img {
    width: 100%;
    margin: 0 auto;
    left: 0;
    top: 0;
    right: 0;
    height: 100%;
    object-fit: contain;
  }
  .drag-scroll .prd-pic-mob-thumb {
    display: flex;
  }
  .prd-pic-mob-thumb img {
    width: 60px;
    height: 60px;
    border: 1px solid rgb(202, 202, 202);
    margin-top: 1vh;
    margin-right: 12px;
  }
  .prod-fav-icon-m {
    background-color: #ffffff;
    padding: 5px;
    border: 2px solid #d2d8e2;
    display: flex;
    cursor: pointer;
    position: absolute;
    right: 5px;
    z-index: 2;
    top: 5px;
  }
  .share-btns-mobile{
    position: absolute;
    top: 140px;
    right: 5px;
    left: calc(100% - 55px);
    height: auto;
    padding: 5px;
    z-index: 0;
    border: 2px solid #d2d8e2;
    line-height: 0;
  }
    .prod-share-icon-m {
    background-color: #ffffff;
    padding: 5px;
    border: 2px solid #d2d8e2;
    display: flex;
    cursor: pointer;
    position: absolute;
    right: 5px;
    z-index: 2;
    top: 95px;
  }
  .prod-compare-icon-m {
    background-color: #ffffff;
    padding: 5px;
    border: 2px solid #d2d8e2;
    display: flex;
    cursor: pointer;
    position: absolute;
    right: 5px;
    z-index: 2;
    top: 50px
  }
  .product-title-m {
    margin: 10px 0px 10px 0px;
    h4 {
      font-size: 17px;
      color: #000 !important;
      font-weight: 600;
    }
  }
  .price-mrp-m {
    font-size: 16px;
    color: #b5b5b5;
    padding-bottom: 5px;
  }

  #mybutton {
    position: fixed;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 2;
  }

  // .prod-det-but-m .mat-raised-button {
  //   font-size: 14px;
  //   width: 50% !important;
  // }

  .prod-det-but-m .add-to-cart {
    background-color: $font-black;
    line-height: 4;
    color: $font-white;
    text-transform: uppercase;
    height: 60px;
    border-radius: 0 !important;
    font-weight: 500;
    box-shadow: none !important;
  }
  .prod-det-but-m  .go-to-cart {
    background-color: $font-black;
    line-height: 4;
    color: $font-white;
    text-transform: uppercase;
    height: 60px;
    border-radius: 0 !important;
    font-weight: 500;
    box-shadow: none !important;
  }
  .prod-det-but-m .add-to-fav {
    background-color: $primary-color;
    line-height: 4;
    color: #000;
    text-transform: uppercase;
    height: 60px;
    border-radius: 0 !important;
    font-weight: 500;
    box-shadow: none !important;
  }
  .pro-desc-m {
    border-top: 9px solid $quaternary;
    .pro-desc-title {
      padding: 10px 0 0px 13px;
      font-weight: 600;
      color: $font-silver;
      font-size: 12px;
    }

    .pro-desc-txts {
      padding: 15px;
      font-size: 12px;
      color: $font-silver;
    }
  }
  .prod-cust-review-m {
    margin-bottom: 20px;
    border-top: 9px solid $quaternary;
    h3 {
      font-weight: 600;
      font-size: 12px;
      padding: 10px 0px 10px 10px;
      border-bottom: 1px solid $quaternary;
    }

    .prod-cust-title {
      font-size: 16px;
      font-weight: 600;
      color: $font-black;
      background-color: $quaternary;
      height: 50px;
      padding: 13px 10px;
    }
    .prod-cust-rate {
      display: flex;
      justify-content: center;
      align-items: center;
    }
    .prod-cust-rate-img {
      display: flex;
      align-items: center;
      justify-content: center;
      margin: 0 auto;
      margin-bottom: 20px;
      margin-top: 20px;
      border: 1px solid $quaternary;
      padding: 10px;
      width: 100px;
      .img-resp {
        width: 50%;
      }
    }
    .product-review {
      //padding: 20px;
      width: 100%;
    }
    ::ng-deep .mat-form-field {
      width: 100%;
    }
    ::ng-deep .mat-form-field-appearance-outline .mat-form-field-outline {
      background-color: #eee;
    }
  }
  .po-btn-m {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .review-head-m h6 {
    font-size: 12px;
    font-weight: 600;
    color: $font-silver;
    position: relative;
    overflow: hidden;
  }
  .pro-bg-similar-prod-m {
    // background-color: #fff;
    // border-top: 10px solid #f1f3f6;
    padding: 20px;
    h4 {
      font-size: 16px;
      color: $font-silver;
    }
  }
  .price-m {
    font-size: 21px;
    font-weight: 600;
    display: flex;
    align-items: center;
    color: $font-silver;
    .price-off {
      font-size: 12px;
      border: 1px solid #d4d4d4;
      padding: 4px 10px 4px 10px;
      border-radius: 5px;
      color: #17c971;
      margin-left: 20px;
    }
  }
  .pro-color-m {
    font-size: 17px;
    color: #b5b5b5;

    ul {
      display: inline-flex;
    }

    ul li {
      width: 20px;
      height: 20px;
      text-align: center;
      font-size: 15px;
      border-radius: 5px;
      line-height: 2;
      display: flex;
      justify-content: center;
      align-items: center;
    }
    ul li ul li {
      background-color: red;
      width: 22px;
      height: 22px;
      margin: 0 auto;
      border: none;
      border-radius: 3px;
    }
  }
}
@media (min-width: 1025px){
  .r-mobile {
    display: none;
  }
}


.att-list {
  .att{
    color: $font-silver;
  }
  ul li {
  list-style-type: none;
}
}
.btn-review {
  display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 5px;
    button {
      margin-bottom: 20px;
    }
}
.check-delivery-btn {
  background-color: #333333;
  margin-bottom: 20px;
  color: white;
  margin-right: 2vh;
  text-transform: uppercase;
  height: 50px;
  border-radius: 0 !important;
  font-weight: 500;
  box-shadow: none !important;
}
.delivery-opt-check{
  display: inline-flex;
  align-items: center;
}
.delivery-check{
    margin-left: 15px;
}
.offer{
  color: green;
}
.product-not-avail{
  color: red;
}
.rupees{
    padding-left: 3px;
    text-decoration: line-through;
}
.delivery-expect{
  margin: 0 0 20px 0;
}
.rdelivery-expect{
  display: flex;
  align-items: center;
  margin: 0 0 20px 0;
  @include for-size(tablet-portrait-up) {
        margin: 0 0 20px 10px;
  }
  @include for-size(tablet-landscape-up) {
        margin: 0 0 20px 10px;
  }
}
.breaker{
  padding: 0 5px;
}
.rdelivery-opt-check{
  display: inline-flex;
  flex-wrap: wrap;
  align-items: center;
}
.rdelivery-check-btn{
  background-color: $secondary-color;
  color: white;
  margin: 20px 0 0 10px;
  text-transform: uppercase;
  height: 50px;
  border-radius: 0 !important;
  font-weight: 500;
  box-shadow: none !important;
}
